#include <iostream>
#include <cstdio>
#include <string>
#include <string.h>
#include <vector>
using namespace std;
long long kol(vector<int>vect,double q)
{
    int n=vect.size();
    long long ans=0;
     double one=0;
       for(int j=0;j<vect.size();j++)
       {
            one+=vect[j];
       }
        int i=0;
        int j=1;
        int len=2;
        double res=0;
        while(true)
        {
            for(int s=i;s<=j;s++)
            {
                res+=vect[s];
            }
            if((res*100)/len>=q)
            {
                ans++;
            }
            res=0;
            i++;j++;
            if(j==n)
            {
                len++;
                if(len>n) break;
                i=0;j=i+len-1;
            }
        }
        return ans+one;
}
int main()
{
   int t;
   cin>>t;
   long long results[t];
   for(int i=0;i<t;i++)
   {
       int n;
       double q;
       cin>>n;
       cin>>q;
       double sum=0;
       int a;
       vector<int>arr;
       for(int j=0;j<n;j++)
       {
           cin>>a;
           arr.push_back(a);
       }
     results[i]= kol(arr,q);
   }
   for(int i=0;i<t;i++)
    cout<<results[i]<<" ";
   cout<<endl;
    return 0;
}
